(function( $ ) {

	$.fn.tweetify = function(options) {
		var settings = $.extend({
			// These are the defaults.
			url: encodeURIComponent( window.location.href ),
			via: '',
			related: '',
			hashtag: ''
		}, options );

		return this.find( ".tweetify" ).each(function() {
			var text = $(this).text();
			var textEncoded = encodeURIComponent(text);
			var query = '';
			
			if( settings.via ) { query += '&url=' + settings.url  }
			if( settings.related ) { query += '&related=' + settings.related  }
			if( settings.via ) { query += '&via=' + settings.via  }
			if( settings.hashtag ) { query += '&hashtag=' + settings.hashtag  }
			
			query += '&text=' + textEncoded;
			
			$(this).wrap('<a class="tweetify-link" target="_blank" href="' + 'https://twitter.com/share?' + query + '">', '</a>');
		});
	};
}( jQuery ));